summaryrefslogtreecommitdiffstats
path: root/desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild')
-rw-r--r--desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild93
1 files changed, 93 insertions, 0 deletions
diff --git a/desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild b/desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild
new file mode 100644
index 0000000000..3fcd4ca4f6
--- /dev/null
+++ b/desktop/nordic-gtk-theme/nordic-gtk-theme.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# Slackware build script for "nordic-gtk-theme".
+
+# Copyright 2023 Marco Lavorini, Campiglia Marittima Italy
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nordic-gtk-theme
+VERSION=${VERSION:-2.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/themes
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+for SRCNAM in \
+ Nordic \
+ Nordic-standard-buttons \
+ Nordic-Polar \
+ Nordic-Polar-standard-buttons \
+ Nordic-darker \
+ Nordic-darker-standard-buttons \
+ Nordic-bluish-accent \
+ Nordic-bluish-accent-standard-buttons
+do
+ tar xvf $CWD/$SRCNAM.tar.?z
+ cd $SRCNAM
+ chown -R root:root .
+ find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ mkdir -p $PKG/usr/share/themes/$SRCNAM
+ cp -a assets cinnamon gnome-shell gtk-2.0 gtk-3.0 gtk-4.0 metacity-1 xfwm4 $PKG/usr/share/themes/$SRCNAM
+ cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+ install -m 0644 index.theme $PKG/usr/share/themes/$SRCNAM
+ cd $TMP
+done
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE